// pages/battery/index.js
const {
  api,
  mapApi,
  imgName,
  getUserInfo,
  wxLogin,
  alertTip,
  toastTip,
  authAgainByUser,
  userLocation
} = require('../../lib/util.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    nowTab:'A',
    batteryTitleA:'电池A',
    batteryTitleB:'电池B',
    batteryMsgs1: [],
    batteryMsgs2: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getCarDetail()
  },
  switchTab(e){
    let tab = e.target.id
    this.setData({
      nowTab:tab
    })
  },
  getCarDetail() {
    api.get('device/base/deviceDetail', {}, true)
      .then(res => {
        let {
          data,
          model: {
            deviceInfo
          }
        } = res
        let carData = {
          ...data,
          ...deviceInfo
        }
        this.setUI(carData)
      })
      .catch(err => {
        console.error(1, err)
      })
  },
  // 轮询设置
  setUI(data) {
    let {
      batteryMsgs1,
      batteryMsgs2,
    } = this.data
    if (data.batteryAPower == 'null' || data.batteryAPower > 100 || data.batteryAPower == -1) {
      batteryMsgs1 = [`电量：--`, `电池故障码：${data.batteryACode}`]
    } else {
      batteryMsgs1 = [`电量：${data.batteryAPower}%`]
    }
    if (data.batteryBPower == 'null' || data.batteryBPower > 100 || data.batteryBPower == -1) {
      batteryMsgs2 = [`电量：--`, `电池故障码：${data.batteryBCode}`]
    } else {
      batteryMsgs2 = [`电量：${data.batteryBPower}%`]
    }
    this.setData({
      batteryMsgs1,
      batteryMsgs2
    })
  },
})